Package org.apache.jmeter.protocol.http.parser

# Class URLString

java.lang.Object
org.apache.jmeter.protocol.http.parser.URLString

All Implemented Interfaces:
  `Comparable<URLString>`

public class URLString extends Object implements Comparable<URLString>
Helper class to allow URLs to be stored in Collections without incurring the cost of the hostname lookup performed by the URL methods equals() and hashCode() URL is a final class, so cannot be extended ...

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `URLString(URL u)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(URLString o)`
  `boolean`
  `equals(Object o)`
  `URL`
  `getURL()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### URLString

    public URLString(URL u)

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getURL

    public URL getURL()

  - ### compareTo

    public int compareTo(URLString o)
    Specified by:
      `compareTo` in interface `Comparable<URLString>`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`